# ORCA DFT (BLYP) single point energy including D3 dispersion correction (original version)

from chemsh       import *
from chemsh.utils import testutils

water = Fragment(coords="water.cjson")

# default functional is 'blyp'
# default: convergence='tightscf'
# NB In ORCA the d3 keyword selects d3bj, NOT original d3
orca = ORCA(frag=water, method='dft', basis='3-21g', threshold=1.E-7, dispersion='d3zero')

sp = SP(theory=orca)

sp.run()

ecalc = sp.result.energy

# ORCA 5.0.3
# cf NWChem -75.946898649
eref = -75.946898569

testutils.validate(ecalc, eref)
